/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * https://www.eclipse.org/legal/epl-2.0/.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors: Actuate Corporation - initial API and implementation
 ******************************************************************************/

package org.eclipse.birt.report.designer.core;

/**
 * This class defines constants for report element name
 */

public interface IReportElementConstants {

	String AUTOTEXT_PAGE = "Page"; //$NON-NLS-1$

	String AUTOTEXT_TOTAL_PAGE_COUNT = "TotalPageCount"; //$NON-NLS-1$

	String AUTOTEXT_DATE = "Date"; //$NON-NLS-1$

	String AUTOTEXT_CREATEDON = "Created on"; //$NON-NLS-1$

	String AUTOTEXT_CREATEDBY = "Created by"; //$NON-NLS-1$

	String AUTOTEXT_FILENAME = "Filename"; //$NON-NLS-1$

	String AUTOTEXT_LASTPRINTED = "Last printed"; //$NON-NLS-1$

	String AUTOTEXT_PAGEXOFY = "Page X of Y"; //$NON-NLS-1$

	String AUTOTEXT_AUTHOR_PAGE_DATE = "AuthorPageDate";//$NON-NLS-1$

	String AUTOTEXT_CONFIDENTIAL_PAGE = "ConfidentalPage";//$NON-NLS-1$

	String REPORT_ELEMENT_TEXT = "Text"; //$NON-NLS-1$

	String REPORT_ELEMENT_GRID = "Grid";//$NON-NLS-1$

	String REPORT_ELEMENT_TABLE = "Table";//$NON-NLS-1$

	String REPORT_ELEMENT_LABEL = "Label";//$NON-NLS-1$

	String REPORT_ELEMENT_TEXTDATA = "TextData";//$NON-NLS-1$

	String REPORT_ELEMENT_IMAGE = "Image";//$NON-NLS-1$

	String REPORT_ELEMENT_LIST = "List";//$NON-NLS-1$

	String REPORT_ELEMENT_DATA = "Data";//$NON-NLS-1$

	String REPORT_ELEMENT_CELL = "Cell";//$NON-NLS-1$

	String REPORT_ELEMENT_EXTENDED = "Extended";//$NON-NLS-1$

	String BINDING_COLUMN_PREFIX = "row";//$NON-NLS-1$

	String OUTER_BINDING_COLUMN_PREFIX = "._outer";//$NON-NLS-1$

	String RESULTSET_COLUMN_PREFIX = "dataSetRow";//$NON-NLS-1$

	String DATA_SET_PREFIX = "dataSets";//$NON-NLS-1$

	String PARAMETER_PREFIX = "params";//$NON-NLS-1$

	String TEMPLATE_FILE_EXTENSION = "rpttemplate"; //$NON-NLS-1$

	String LIBRARY_FILE_EXTENSION = "rptlibrary"; //$NON-NLS-1$

	String DESIGN_FILE_EXTENSION = "rptdesign"; //$NON-NLS-1$

	String DOCUMENT_FILE_EXTENSION = "rptdocument";

	String STOREDPROCUDURE_OUTPUT_PREFIX = "outputParams"; //$NON-NLS-1$

	String AUTOTEXT_VARIABLE = "variable";//$NON-NLS-1$
}
